.m-sidebar {
  --main-item-title-bg: #fff;
  --generic-list-bg: #eee;

  position: fixed;
  top: 0;
  left: 0;
  min-width: 16.875rem;
  font-size: 0.875rem;
  height: 100vh;
  background-color: #fff;
  text-transform: capitalize;
  z-index: 1001; //in terms of 1, 10, 100 & 1000

  &::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100vw;
    left: 270px;
    top: 0;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0.5;
  }

  &__wrapper {
    display: block;
  }

  &__main-item-title,
  &__item-title,
  &__sub-item,
  &__close {
    display: block;
    padding: 0.625rem;
    background-color: var(--generic-list-bg);
  }

  &__close,
  &__main-item-title,
  &__item-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__close-icon {
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
    background-image: url("../assets/icons/close-fill.svg");
    background-repeat: no-repeat;
    cursor: pointer;
  }

  &__indication-icon {
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
    background-repeat: no-repeat;
    background-image: url("../assets/icons/add.svg");
    cursor: pointer;
  }

  &__main-item-title {
    font-weight: 700;
    background-color: var(--main-item-title-bg);

    &.is-open .m-sidebar__indication-icon {
      background-image: url("../assets/icons/remove.svg");
    }

    &.is-open ~ .m-sidebar__items {
      display: block;
      opacity: 1;
      height: fit-content;
      transition: all 0.5s;
      pointer-events: all;
    }
  }

  &__item-title {
    padding-inline-start: 1.25rem;

    &.is-open .m-sidebar__indication-icon {
      background-image: url("../assets/icons/remove.svg");
    }

    &.is-open + .m-sidebar__sub-items-list {
      display: block;
      opacity: 1;
      height: fit-content;
      transition: all 0.5s;
      pointer-events: none;
    }
  }

  &__sub-item {
    padding-inline-start: 1.875rem;
  }

  &__items,
  &__sub-items-list {
    opacity: 0;
    height: 0;
    pointer-events: none;
  }
}
